*************************************************
********************所有正文结果*****************
*************************************************
cd F:\DataBase\我的研究\经济学季刊\2024-00223_数据

* 打开一个新的日志文件，并输出SMCL格式的日志
log using "正文日志文件.smcl", smcl replace

*************************************************
*****************表1 样本描述性统计**************
*************************************************

use PSM_DID,clear

global c size ROA lev growth age cash board top1 soe rd GGDP

sum2docx sale_sub new_sale_sub exit_sale_sub post $c using "table.docx", append ///
stats(mean(%12.4f) sd(%12.4f) min(%12.4f) median(%12.4f) max(%12.4f)) ///
title("表1 样本描述性统计")

*************************************************
*********表2 首台套保险与异地子公司数量**********
*************************************************

reghdfe sale_sub post $c, a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub post $c, a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub post $c, a(Stkcd year) vce(r)
est store m3

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表2 首台套保险与异地子公司数量") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	

*************************************************
*********表3 首台套保险与异地子公司撤销模式******
*************************************************
		 
reghdfe ln_sale_active post $c, a(Stkcd year) vce(r)
est store m1
reghdfe ln_sale_passive post $c, a(Stkcd year) vce(r)
est store m2

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表3 首台套保险与异地子公司撤销模式") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	
		 
*******************************************************
*********表4 首台套保险、市场分割与异地子公司数量******
*******************************************************

reghdfe segR post $c, a(Stkcd year) vce(r)
est store m1
reghdfe sale_sub post $c if seg_h==1, a(Stkcd year) vce(r)
est store m2
reghdfe new_sale_sub post $c if seg_h==1, a(Stkcd year) vce(r)
est store m3
reghdfe exit_sale_sub post $c if seg_h==1, a(Stkcd year) vce(r)
est store m4
reghdfe sale_sub post $c if seg_h==0, a(Stkcd year) vce(r)
est store m5
reghdfe new_sale_sub post $c if seg_h==0, a(Stkcd year) vce(r)
est store m6
reghdfe exit_sale_sub post $c if seg_h==0, a(Stkcd year) vce(r)
est store m7

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 m5 m6 m7 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表4 首台套保险、市场分割与异地子公司数量'") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")
		 
*************************************************
*********表5 首台套保险与企业异地市场推广********
*************************************************
		 
reghdfe cro_sales_fee post $c, a(Stkcd year) vce(r)
est store m1
reghdfe crosaleR post $c, a(Stkcd year) vce(r)
est store m2
reghdfe ln_cro_sale post $c, a(Stkcd year) vce(r)
est store m3
reghdfe ln_main_sale post $c, a(Stkcd year) vce(r)	
est store m4	

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表5 首台套保险与企业异地市场推广'") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")
		 
*******************************************************************
*********表6 首台套保险与异地子公司数量：基于投保动机的影响********
*******************************************************************
		 
reghdfe sale_sub post $c if ins_dure<=3 | ins_dure==., a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub post $c if ins_dure<=3 | ins_dure==., a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub post $c if ins_dure<=3 | ins_dure==., a(Stkcd year) vce(r)
est store m3
reghdfe sale_sub post $c if ins_dure>3, a(Stkcd year) vce(r)
est store m4
reghdfe new_sale_sub post $c if ins_dure>3, a(Stkcd year) vce(r)
est store m5
reghdfe exit_sale_sub post $c if ins_dure>3, a(Stkcd year) vce(r)
est store m6 

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 m5 m6 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表6 首台套保险与异地子公司数量：基于投保动机的影响'") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")
		 
*******************************************************************
*********表7 首台套保险与异地子公司数量：基于承保模式的影响********
*******************************************************************
		 
reghdfe sale_sub post $c if insCompany_num==1 | insCompany_num==., a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub post $c if insCompany_num==1 | insCompany_num==., a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub post $c if insCompany_num==1 | insCompany_num==., a(Stkcd year) vce(r)
est store m3
reghdfe sale_sub post $c if insCompany_num!=1 | insCompany_num==., a(Stkcd year) vce(r)
est store m4
reghdfe new_sale_sub post $c if insCompany_num!=1 | insCompany_num==., a(Stkcd year) vce(r)
est store m5
reghdfe exit_sale_sub post $c if insCompany_num!=1 | insCompany_num==., a(Stkcd year) vce(r)
est store m6

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 m5 m6 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表7 首台套保险与异地子公司数量：基于承保模式的影响'") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")

*************************************************************
*********表8 宏观经济分析：地区参保强度与商品要素流动********
*************************************************************

use Area_Data.dta, clear

global x indstruct govinter popden laborforce open gdp market fisdecent

reghdfe output_PROVINCE company $x, a(PROVINCE year) vce(r)
est store m1
reghdfe output_PROVINCE product $x, a(PROVINCE year) vce(r)
est store m2
reghdfe hhi_output company $x, a(PROVINCE year) vce(r)
est store m3
reghdfe hhi_output product $x, a(PROVINCE year) vce(r)
est store m4

estfe m*, labels(depart_PROVINCE "Province FE" year "Year FE")

reg2docx m1 m2 m3 m4 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_within)   ///
		 indicate(`r(indicate_fe)') ///
         title("表8 宏观经济分析：地区参保强度与商品要素流动") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	

* 关闭日志文件
log close