*************************************************
********************所有附录结果*****************
*************************************************
cd F:\DataBase\我的研究\经济学季刊\2024-00223_数据

* 打开一个新的日志文件，并输出SMCL格式的日志
log using "附录日志文件.smcl", smcl replace

************************************
**********附录I 附表及附图**********
************************************

************************************
*****表A1 倾向得分匹配结果**********
************************************

*********倾向得分匹配前变量差异检验********

use ALL_Data.dta, clear

global xc size ROA lev growth age cash board top1 soe rd

gen treat_test = (treat==0) 

ttable3 sale_sub new_sale_sub exit_sale_sub $xc if post==0, unequal by(treat_test)

t2docx sale_sub new_sale_sub exit_sale_sub $xc using "table.docx" if post==0, append ///
by(treat_test) fmt(%12.4f) unequal title("表A1 倾向得分匹配结果（匹配前）")

*********倾向得分匹配后变量差异检验********

use PSM.dta, clear

global xc size ROA lev growth age cash board top1 soe rd

gen treat_test = (treat==0)

ttable3 sale_sub new_sale_sub exit_sale_sub $xc if post==0, unequal by(treat_test)

t2docx sale_sub new_sale_sub exit_sale_sub $xc using "table.docx", append ///
by(treat_test) fmt(%12.4f) unequal title("表A1 倾向得分匹配结果（匹配后）")

********************************************************************
*****表A3 首台套保险与异地子公司数量：基于地区营商环境的影响********
********************************************************************

use PSM_DID, clear

global c size ROA lev growth age cash board top1 soe rd GGDP

reghdfe sale_sub post $c if index_h==1, a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub post $c if index_h==1, a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub post $c if index_h==1, a(Stkcd year) vce(r)
est store m3
reghdfe sale_sub post $c if index_h==0, a(Stkcd year) vce(r)
est store m4
reghdfe new_sale_sub post $c if index_h==0, a(Stkcd year) vce(r)
est store m5
reghdfe exit_sale_sub post $c if index_h==0, a(Stkcd year) vce(r)
est store m6
		 
estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 m5 m6 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表A3 首台套保险与异地子公司数量：基于地区营商环境的影响'") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")

*****************************************************************
*****表A4 首台套保险与异地子公司数量：基于地区信任水平的影响*****
*****************************************************************	
	 
reghdfe sale_sub post $c if trust_h==1, a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub post $c if trust_h==1, a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub post $c if trust_h==1, a(Stkcd year) vce(r)
est store m3
reghdfe sale_sub post $c if trust_h==0, a(Stkcd year) vce(r)
est store m4
reghdfe new_sale_sub post $c if trust_h==0, a(Stkcd year) vce(r)
est store m5
reghdfe exit_sale_sub post $c if trust_h==0, a(Stkcd year) vce(r)
est store m6

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 m5 m6 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表A4 首台套保险与异地子公司数量：基于地区信任水平的影响'") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")



*****************************************************
*****************附录III 其他稳健性检验**************
*****************************************************

*******************************************************
******************图III1 平行趋势图*******************
*******************************************************

global p d_4 d_3 d_2 d_1
global a current d1 d2 d3 d4 d5

reghdfe sale_sub $p $a d_5 $c, a(Stkcd year) vce(r)

coefplot, baselevels level(90) ///
keep(d_5 d_4 d_3 d_2 d_1 current d1 d2 d3 d4 d5) omitted ///
order(d_5 d_4 d_3 d_2 d_1 current d1 d2 d3 d4 d5) ///
vertical ///转置图形
coeflabels(d_5 =-5 d_4=-4 d_3=-3 d_2=-2 d_1=-1 ///
current=0 d1=1 d2=2 d3=3 d4=4 d5=5) /// 
yline(0,lcolor(edkblue*0.8)) ///加入y=0这条虚线
xline(1, lc(edkblue*0.8) lp(dash)) /// 
ylabel(,labsize(*0.75)) xlabel(,labsize(*0.75)) ///
ytitle("估""计""系""数",orientation(horizontal) size(small)) ///加入Y轴标题,大小small
xtitle("参保时间", size(small)) ///加入X轴标题，大小small 
addplot(line @b @at) ///增加点之间的连线
ciopts(lpattern(dash) recast(rcap) msize(medium)) ///CI为虚线上下封口
msymbol(circle_hollow) ///plot空心格式
legend(order(2 "估计系数"  1 "90%置信区间") size(small)) ///
title("(A)：异地销售子公司平行趋势图", size(small)) ///
scheme(s1mono)

graph save a.gph,replace

reghdfe new_sale_sub $p $a d_5 $c, a(Stkcd year) vce(r)

coefplot, baselevels level(90) ///
keep(d_5 d_4 d_3 d_2 d_1 current d1 d2 d3 d4 d5) omitted ///
order(d_5 d_4 d_3 d_2 d_1 current d1 d2 d3 d4 d5) ///
vertical ///转置图形
coeflabels(d_5 =-5 d_4=-4 d_3=-3 d_2=-2 d_1=-1 ///
current=0 d1=1 d2=2 d3=3 d4=4 d5=5) /// 
yline(0,lcolor(edkblue*0.8)) ///加入y=0这条虚线
xline(1, lc(edkblue*0.8) lp(dash)) /// 
ylabel(,labsize(*0.75)) xlabel(,labsize(*0.75)) ///
ytitle("估""计""系""数",orientation(horizontal) size(small)) ///加入Y轴标题,大小small
xtitle("参保时间", size(small)) ///加入X轴标题，大小small 
addplot(line @b @at) ///增加点之间的连线
ciopts(lpattern(dash) recast(rcap) msize(medium)) ///CI为虚线上下封口
msymbol(circle_hollow) ///plot空心格式
legend(order(2 "估计系数"  1 "90%置信区间") size(small)) ///
title("(B)：异地新增销售子公司平行趋势图", size(small)) ///
scheme(s1mono)

graph save b.gph,replace

reghdfe exit_sale_sub $p $a d_5 $c, a(Stkcd year) vce(r)

coefplot, baselevels level(90) ///
keep(d_5 d_4 d_3 d_2 d_1 current d1 d2 d3 d4 d5) omitted ///
order(d_5 d_4 d_3 d_2 d_1 current d1 d2 d3 d4 d5) ///
vertical ///转置图形
coeflabels(d_5 =-5 d_4=-4 d_3=-3 d_2=-2 d_1=-1 ///
current=0 d1=1 d2=2 d3=3 d4=4 d5=5) /// 
yline(0,lcolor(edkblue*0.8)) ///加入y=0这条虚线
xline(1, lc(edkblue*0.8) lp(dash)) /// 
ylabel(,labsize(*0.75)) xlabel(,labsize(*0.75)) ///
ytitle("估""计""系""数",orientation(horizontal) size(small)) ///加入Y轴标题,大小small
xtitle("参保时间", size(small)) ///加入X轴标题，大小small 
addplot(line @b @at) ///增加点之间的连线
ciopts(lpattern(dash) recast(rcap) msize(medium)) ///CI为虚线上下封口
msymbol(circle_hollow) ///plot空心格式
legend(order(2 "估计系数"  1 "90%置信区间") size(small)) ///
title("(C)：异地撤销销售子公司平行趋势图", size(small)) ///
scheme(s1mono)

graph save c.gph,replace

#delimit;
	graph combine a.gph b.gph c.gph, 
	imargin(b=1 t=1) 
	graphregion(color(white)) 
	ysize(2) 
	row(1) 
	iscale(1.07)
	scheme(s1mono);
#delimit cr

graph save d.gph,replace

**********************************************************
*****表III1 首台套保险与异地子公司数量：虚构参保时间******
**********************************************************		
		 
preserve
drop if distance>=0 & distance!=.

gen post02=(year>=shock_year-2)
gen did2=treat*post02
gen post03=(year>=shock_year-1)
gen did1=treat*post03	

reghdfe sale_sub did1 $c, a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub did1 $c, a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub did1 $c, a(Stkcd year) vce(r)
est store m3
reghdfe sale_sub did2 $c, a(Stkcd year) vce(r)
est store m4
reghdfe new_sale_sub did2 $c, a(Stkcd year) vce(r)
est store m5
reghdfe exit_sale_sub did2 $c, a(Stkcd year) vce(r)
est store m6

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 m5 m6 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表III1 首台套保险与异地子公司数量：虚构参保时间") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	
		 
restore

*************************************************************
******表III2 首台套保险与异地子公司数量：基于工具变量法******
*************************************************************

reghdfe post iv $c, a(Stkcd year) vce(r)
est store m1
ivreghdfe sale_sub $c (post=iv) i.Stkcd i.year, vce(r)
est store m2
ivreghdfe new_sale_sub $c (post=iv) i.Stkcd i.year,  vce(r)
est store m3
ivreghdfe exit_sale_sub $c (post=iv) i.Stkcd i.year, vce(r)
est store m4

estfe m*, labels(*Stkcd "Firm FE" *year "Year FE")

reg2docx m1 m2 m3 m4 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate("Firm FE=*.Stkcd" "Year Fe=*.year") ///
         title("表III2 首台套保险与异地子公司数量：基于工具变量法") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	
		 
*************************************************************
********表III3 首台套保险与异地子公司数量：安慰剂检验********
*************************************************************

reghdfe non_sale_sub post $c, a(Stkcd year) vce(r)
est store m1
reghdfe new_non_sale_sub post $c, a(Stkcd year) vce(r)
est store m2
reghdfe exit_non_sale_sub post $c, a(Stkcd year) vce(r)
est store m3

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表III3 首台套保险与异地子公司数量：安慰剂检验") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	

*******************************************************************
******表III4 首台套保险与异地子公司数量：排除基期特征的影响********
*******************************************************************	

global base_post base_size_post base_ROA_post base_lev_post base_growth_post base_age_post base_cash_post base_board_post base_top1_post base_soe_post base_rd_post base_GGDP_post

reghdfe sale_sub post $c $base_post, a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub post $c $base_post, a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub post $c $base_post, a(Stkcd year) vce(r)
est store m3

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表III4 首台套保险与异地子公司数量：排除基期特征的影响") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	

********************************************************
*****表III5 集团首台套保险参保强度与异地子公司数量******
********************************************************

reghdfe sale_sub cnum $c, a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub cnum $c, a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub cnum $c, a(Stkcd year) vce(r)
est store m3
reghdfe sale_sub pnum $c, a(Stkcd year) vce(r)
est store m4
reghdfe new_sale_sub pnum $c, a(Stkcd year) vce(r)
est store m5
reghdfe exit_sale_sub pnum $c, a(Stkcd year) vce(r)
est store m6

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 m5 m6 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表III5 集团首台套保险参保强度与异地子公司数量") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	
		 
******************************************************
***********表III6 首台套保险与集团子公司分布**********
******************************************************

reghdfe all_cro_sale_ratio post $c, a(Stkcd year) vce(r)
est store m1
reghdfe new_cro_sale_ratio post $c, a(Stkcd year) vce(r)
est store m2
reghdfe exit_cro_sale_ratio post $c, a(Stkcd year) vce(r)
est store m3
reghdfe all_home_sale_ratio post $c, a(Stkcd year) vce(r)
est store m4
reghdfe new_home_sale_ratio post $c, a(Stkcd year) vce(r)
est store m5
reghdfe exit_home_sale_ratio post $c, a(Stkcd year) vce(r)
est store m6

estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 m4 m5 m6 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表III6 首台套保险与集团子公司分布'") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")

*************************************************************************
********表III7 首台套保险与异地子公司数量：排除宏观形势变化的影响********
*************************************************************************		 

reghdfe sale_sub post $c if year<=2018, a(Stkcd year) vce(r)
est store m1
reghdfe new_sale_sub post $c if year<=2018, a(Stkcd year) vce(r)
est store m2
reghdfe exit_sale_sub post $c if year<=2018, a(Stkcd year) vce(r)
est store m3
		 
estfe m*, labels(Stkcd "Firm FE" year "Year FE")

reg2docx m1 m2 m3 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_a)   ///
		 indicate(`r(indicate_fe)') ///
         title("表III7 首台套保险与异地子公司数量：排除宏观形势变化的影响'") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")
		 
*********************************************************
*****表VI1 地区首台套保险参保强度与异地子公司水平********
*********************************************************		 

use Area_Data, clear

global x indstruct govinter popden laborforce open gdp market fisdecent

reghdfe lnnew company $x, a(PROVINCE year) vce(r)
est store m1
reghdfe lnnew product $x, a(PROVINCE year) vce(r)
est store m2
reghdfe lnexit company $x, a(PROVINCE year) vce(r)
est store m3
reghdfe lnexit product $x, a(PROVINCE year) vce(r)
est store m4

estfe m*, labels(depart_PROVINCE "Province FE" year "Year FE")

reg2docx m1 m2 m3 m4 using "table.docx",append ///
         b(%9.4f) t(%7.3f) ///
		 scalars(N r2_within)   ///
		 indicate(`r(indicate_fe)') ///
         title("表VI1 地区首台套保险参保强度与异地子公司水平") note("	注：***、**、*分别表示在1%、5%、10%水平上统计显著；括号中为t值。")	

* 关闭日志文件
log close
